import java.security.KeyStore;
import java.io.FileInputStream;
import javax.crypto.SecretKey;
import java.math.BigInteger;
import java.security.KeyStoreException;
import java.io.FileNotFoundException;

public class ShowKey {

    public static void main(String[] args) throws KeyStoreException, FileNotFoundException {
        String fileName = "/opt/shibboleth-idp/credentials/sealer.jks";
        char[] password = "EFP3ToaeVDN6iCSr".toCharArray();
        String alias = "secret1";

        KeyStore ks = KeyStore.getInstance("JCEKS");

        FileInputStream fis = new FileInputStream(fileName) ;
        try
        {
            ks.load(fis, password);
            SecretKey secretKey = (SecretKey) ks.getKey(alias, password);
            System.out.println(new BigInteger(1, secretKey.getEncoded()).toString(16));
        } catch (Exception e) {
            System.err.println("Caught IOException: " + e.getMessage());
        }
    }
}
